Bug 1220527 - Implementation of smbios type 2 ( baseboard/module info ) in libvirt
Summary: Implementation of smbios type 2 ( baseboard/module info ) in libvirt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Michal Privoznik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-11 18:54 UTC by Soumik Bhattacharya
Modified: 2016-04-10 14:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-10 14:27:31 UTC


Attachments (Terms of Use)

Description Soumik Bhattacharya 2015-05-11 18:54:35 UTC
Description of problem:

Please extend the support for SMBIOS in Qemu for smbios type 2 ( Baseboard/Module ) as described in Page # 34 of DMTF standard document v3.0.0 here : 

http://www.dmtf.org/sites/default/files/standards/documents/DSP0134_3.0.0.pdf


Version-Release number of selected component (if applicable):

libvirt 1.2.15


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Michal Privoznik 2015-05-12 14:56:50 UTC
Patches proposed upstream:

https://www.redhat.com/archives/libvir-list/2015-May/msg00362.html

Comment 2 Michal Privoznik 2015-06-12 10:02:54 UTC
Another try:

https://www.redhat.com/archives/libvir-list/2015-June/msg00564.html

Comment 3 Michal Privoznik 2015-06-18 08:19:11 UTC
I've pushed the firt part:

commit a9a27e602cf790a1513e9bb07f70acebc3d2fb3b
Author:     Michal Privoznik <mprivozn@redhat.com>
AuthorDate: Tue May 12 16:47:49 2015 +0200
Commit:     Michal Privoznik <mprivozn@redhat.com>
CommitDate: Thu Jun 18 10:10:26 2015 +0200

    virSysinfo: Introduce SMBIOS type 2 support
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1220527
    
    This type of information defines attributes of a system
    baseboard. With one exception: board type is yet not implemented
    in qemu so it's not introduced here either.
    
    Signed-off-by: Michal Privoznik <mprivozn@redhat.com>

v1.2.16-203-ga9a27e6

Comment 4 Cole Robinson 2016-04-10 14:27:31 UTC
sounds like this is fixed


Note You need to log in before you can comment on or make changes to this bug.